# Πρόγραμμα Εύρεσης Κατανομής Βαθμολογίας
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Εϋρεσης Κατανομής Βαθμολογίας")
print()

# Αρχικοποίηση λιστών βαθμολογιών Τμήματος Α και Τμήματος Β Φοιτητών
lista_vathmon_A_tmimatos=[5,3,8,4,6,4,7,-1,6,2,10,9,7,-1,6,8,6,7,8]
lista_vathmon_B_tmimatos=[7,4,1,8,5,3,2,9,7,-1,5,6,0,3,9,4,5,-1,10,7]

# Αρχικοποίηση λίστας συνολικών βαθμών με τιμή [], δηλαδή την κενή λίστα
lista_vathmon=[]

# Αρχικοποίηση αθροιστή βαθμών με την τιμή 0
athroisma_vathmon=0

# Αρχικοποίηση με την τιμή 0, του μετρητή πλήθους βαθμών (εκτός αυτών 
# που έχουν βαθμό -1 και αφορούν μη προσέλευση φοιτητή),  
plithos_vathmon=0

# Πρόσθεση βαθμών των Φοιτητών του τμήματος Α στη τελική λίστα βαθμών
lista_vathmon.extend(lista_vathmon_A_tmimatos)
# Πρόσθεση βαθμών των Φοιτητών του τμήματος Β στη τελική λίστα βαθμών
lista_vathmon.extend(lista_vathmon_B_tmimatos)

# Υπολογισμός μήκους λίστας βαθμών
mikos_listas_vathmon=len(lista_vathmon)

# Επανάληψη for, η μεταβλητή i θα λάβει διαδοχικά ως τιμή όλους 
# τους βαθμούς, αντίστροφα από 10 έως και -1.
# Ο βαθμός -1 σημαίνει μη προσέλευση.
for i in  range(10, -2, -1):
    # Η μεταβλητή emfaniseis_vathmou λαμβάνει τιμή ίση με το πλήθος των
    # εμφανίσεων του βαθμού i στη λίστα των βαθμών.
    emfaniseis_vathmou=lista_vathmon.count(i)
    # Εμφάνιση του βαθμού i
    print("Bαθμός", i,":\t", end=" ")
    # Επανάληψη for. Εμφάνιση ενός * τόσες φορές όσες
    # το πλήθος των εμφανίσεων του βαθμού
    for j in range(emfaniseis_vathmou):
        print("*", end=" ")
    print()

# Επανάληψη for, η μεταβλητή k θα λάβει διαδοχικά ως τιμή όλους 
# τους βαθμούς, από το 0 έως και το (μήκος της λίστας βαθμών - 1). 
for k in  range(mikos_listas_vathmon):
    # Έλεγχος εάν ο τρέχων βαθμός είναι διαφορετικός από -1
    if lista_vathmon[k]!=-1:
        # Εάν είναι διαφορετικός του -1, τότε 
        # α) ο βαθμός προστίθεται στο άθροισμα των βαθμών
        athroisma_vathmon = athroisma_vathmon+lista_vathmon[k]
        # β) ο μετηρητή του πλήθους των βαθμών αυξάνει κατά 1.
        plithos_vathmon=plithos_vathmon + 1

print()
mesos_oros=athroisma_vathmon/plithos_vathmon
print("Ο Μέσος Όρος Βαθμολογίας είναι:",'%.2f' %mesos_oros)

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Εύρεσης \
Κατανομής Βαθμολογίας") 

